
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: nspr: fix assumptions about jmp_buf layout on ARM EABI

This patch fixes assumptions about the glibc-internal jmp_buf
structure made in nspr's ARM support code (this structure has
changed layout in EABI.)

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/nspr.spec
===================================================================
--- SPECS.orig/nspr.spec
+++ SPECS/nspr.spec
@@ -1,7 +1,7 @@
 Summary:	Netscape Portable Runtime
 Name:		nspr
 Version:	4.7.1
-Release:	0.8.1%{?dist}
+Release:	0.8.1%{?dist}.fa1
 License:	MPLv1.1 or GPLv2+ or LGPLv2+
 URL:		http://www.mozilla.org/projects/nspr/
 Group:		System Environment/Libraries
@@ -11,6 +11,7 @@ Source1:	nspr.pc.in
 Source2:	nspr-config-vars.in
 
 Patch1:         nspr-config-pc.patch
+Patch2:		nspr-4.7.1-arm.patch
 
 Provides:	mozilla-nspr
 Obsoletes:	mozilla-nspr
@@ -45,6 +46,7 @@ Header files for doing development with 
 
 cp ./mozilla/nsprpub/config/nspr-config.in ./mozilla/nsprpub/config/nspr-config-pc.in
 %patch1 -p0
+%patch2 -p0
 
 cp %{SOURCE2} ./mozilla/nsprpub/config/
 
